"""Fill out default action

Revision ID: 1cf47e440a50
Revises: bcd15ab13557
Create Date: 2022-08-18 10:58:06.709311

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1cf47e440a50'
down_revision = 'bcd15ab13557'
branch_labels = None
depends_on = None


def upgrade():
    # Create default action
    op.execute("INSERT INTO action (id, name, id_sp_a_type) VALUES (1, 'default', 2)")
    # Create default action params
    op.execute("INSERT INTO action_param (id, id_action, id_sp_a_param, value) VALUES (1, 1, 4, 'lm/trigger_service/trigger/')")
    op.execute("INSERT INTO action_param (id, id_action, id_sp_a_param, value) VALUES (2, 1, 5, '')")
    op.execute("INSERT INTO action_param (id, id_action, id_sp_a_param, value) VALUES (3, 1, 6, FALSE)")


def downgrade():
    pass
