#!/usr/bin/env bash

interface=$1
event=$2

if [[ $interface != "wwan0" ]] || [[ $event != "up" ]]
then
  return 0
fi

ip route add 0.0.0.0/0 dev wwan0 table modem
iptables -t mangle -A INPUT -j CONNMARK -i wwan0 --set-mark 1
iptables -t mangle -A OUTPUT -j CONNMARK -m connmark --mark 1 --restore-mark
ip rule add fwmark 0x1 table modem
