"""Main."""
import logging
import logging.config

from system_configurator import settings
from system_configurator.core.api import api_mqtt

logging.config.dictConfig(settings.LOGGING_CONFIG)
logger = logging.getLogger(__name__)


def main():
    logger.info('Start system configuration service')
    api_mqtt.run()


if __name__ == '__main__':
    main()
